Bug 26012 - Date in 'Paid for' information not formatted to Time/DateFormat system preferences
Summary: Date in 'Paid for' information not formatted to Time/DateFormat system prefer...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 19919
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-17 21:52 UTC by Katrin Fischer
Modified: 2020-09-20 14:53 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 26012: Correctly format "paid for" info on the item details view (3.17 KB, patch)
2020-07-29 14:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26012: Correctly format "paid for" info on the item details view (3.24 KB, patch)
2020-07-31 14:48 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26012: Correctly format "paid for" info on the item details view (3.29 KB, patch)
2020-08-11 12:58 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-07-17 21:52:05 UTC
The information shown in Paid for? on the items tab on detail view shows a date in database format.

To test:
- Make sure there is a replacement cost in the item
- check it out
- Mark it lost
- Pay the lost item fee
- Go to the detail page and look on the items tab for the item
- It will show an entry with "Paid for?" label
Comment 1 Jonathan Druart 2020-07-29 14:51:35 UTC
Created attachment 107513 [details] [review]
Bug 26012: Correctly format "paid for" info on the item details view

The string is built controller side, which does not let the template
format the info nicely.
We want to display patron's info using patron-title.inc and the date
with the KohaDates plugin

Test plan:
- Make sure there is a replacement cost in the item
- check it out
- Mark it lost
- Pay the lost item fee
- Go to the detail page and look on the items tab for the item
- It will show an entry with "Paid for?" label
The patron's info and date must be correctly formatted
Comment 2 ByWater Sandboxes 2020-07-31 14:48:04 UTC
Created attachment 107646 [details] [review]
Bug 26012: Correctly format "paid for" info on the item details view

The string is built controller side, which does not let the template
format the info nicely.
We want to display patron's info using patron-title.inc and the date
with the KohaDates plugin

Test plan:
- Make sure there is a replacement cost in the item
- check it out
- Mark it lost
- Pay the lost item fee
- Go to the detail page and look on the items tab for the item
- It will show an entry with "Paid for?" label
The patron's info and date must be correctly formatted

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Tomás Cohen Arazi 2020-08-11 12:58:54 UTC
Created attachment 108058 [details] [review]
Bug 26012: Correctly format "paid for" info on the item details view

The string is built controller side, which does not let the template
format the info nicely.
We want to display patron's info using patron-title.inc and the date
with the KohaDates plugin

Test plan:
- Make sure there is a replacement cost in the item
- check it out
- Mark it lost
- Pay the lost item fee
- Go to the detail page and look on the items tab for the item
- It will show an entry with "Paid for?" label
The patron's info and date must be correctly formatted

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2020-08-13 05:57:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-17 14:51:46 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-18 02:12:03 UTC
backported to 19.11.x for 19.11.09
Comment 7 Victor Grousset/tuxayo 2020-09-20 14:53:58 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.